[python-dtcwt] 05/09: Add autopkgtest testsuite.

Ghislain Vaillant ghisvail-guest at moszumanska.debian.org
Wed Jan 27 17:37:41 UTC 2016


This is an automated email from the git hooks/post-receive script.

ghisvail-guest pushed a commit to branch debian/sid
in repository python-dtcwt.

commit a9cd4a17c0f72ba1f1b835418db3f92d1ad80a82
Author: Ghislain Antony Vaillant <ghisvail at gmail.com>
Date:   Wed Jan 27 16:03:18 2016 +0000

    Add autopkgtest testsuite.
---
 debian/control       |  1 +
 debian/tests/control |  9 +++++++++
 debian/tests/python2 | 12 ++++++++++++
 debian/tests/python3 | 12 ++++++++++++
 4 files changed, 34 insertions(+)

diff --git a/debian/control b/debian/control
index ecbd01b..b567e48 100644
--- a/debian/control
+++ b/debian/control
@@ -2,6 +2,7 @@ Source: python-dtcwt
 Maintainer: Debian Science Maintainers <debian-science-maintainers at lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail at gmail.com>
 Section: science
+Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..670abf8
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,9 @@
+Tests: python2
+Depends: python-all,
+         python-dtcwt,
+         python-nose
+
+Tests: python3
+Depends: python3-all,
+         python3-dtcwt,
+         python3-nose
diff --git a/debian/tests/python2 b/debian/tests/python2
new file mode 100755
index 0000000..fb712ff
--- /dev/null
+++ b/debian/tests/python2
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -efu
+
+pys="$(pyversions -r 2>/dev/null)"
+
+cp -a ./tests "$ADTTMP"
+cd "$ADTTMP"
+
+for py in $pys; do
+	echo "=== $py ==="
+	$py -m nose tests  2>&1
+done
diff --git a/debian/tests/python3 b/debian/tests/python3
new file mode 100755
index 0000000..68fe45e
--- /dev/null
+++ b/debian/tests/python3
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -efu
+
+pys="$(py3versions -r 2>/dev/null)"
+
+cp -a ./tests "$ADTTMP"
+cd "$ADTTMP"
+
+for py in $pys; do
+	echo "=== $py ==="
+	$py -m nose tests  2>&1
+done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/python-dtcwt.git



More information about the debian-science-commits mailing list